Δοκίμασε να εγκαταστήσεις ξανά το libicu. Το πρόβλημα μάλλον στον δημιουργεί κάποιο πακέτο απ' το mate-desktop-fedora-extra repository, που θέλει διαφορετική έκδοση της συγκεκριμένης βιβλιοθήκης.

On Sun, 2013-08-11 at 09:43 -0700, Evangelos Katsos wrote:
1. yum repolist αποτέλεσμα:


repo id                                                                                                    repo name                                                                                        status

adobe-linux-x86_64                                                                                Adobe Systems Incorporated                                                               2
fedora/19/x86_64                                                                                    Fedora 19 - x86_64                                                                            36,253
mate-desktop-fedora-extra                                                                      mate-desktop-fedora-extra 19 - x86_64                                                68
mate-desktop-fedora-extra-updates                                                        mate-desktop-fedora-extra-updates 19 - x86_64                                    69
rpmfusion-free/19/x86-64                                                                       RPM Fusion for Fedora 19 - Free                                                            462

rpmfusion-free-updates/19/x86-64                                                          RPM Fusion for Fedora 19 - Free - Updates                                            117
updates/19/x86-64                                                                                 Fedora 19 - x86_64 - Updates                                                                11,128

repolist: 48,099


2. Με την εντολή yum install yum-utils παίρνω (την εκτέλεσα ως root user):
Loaded plugins: langpacks, refresh-packagekit
Package yum-utils-1.1.31-17.fc19.noarch already installed and latest version
Nothing to do


3. Με την εντολή Package-cleanup --cleandupes έγιναν erase κάποια πακέτα αλλά δεν άλλαξε τίποτε. Συνεχίζει να μην μπαίνει σε γραφικό περιβ

άλλον αλλά σε shell μόνο.






From: Axilleas Pipinellis <axilleaspi@ymail.com>
To: el-users@lists.fedoraproject.org
Sent: Sunday, August 11, 2013 12:38 PM
Subject: Re: [Fedora-el-list] πρόβλημα με τον yum


On 08/11/2013 12:02 PM, Evangelos Katsos wrote:
> Το έκανα και στη συνέχεια σταμάτησε να μπάινει σε γραφικό περιβάλλον
> αλλά απευθείας σε shell σαν να μην υπάρχει κανένας x server.
> Από το shell αυτή τη φορά προσπάθησα να κάνω update αλλά έβγαλε
> αντίστοιχο μήνυμα , όπως για το libicu, αλλά για το mesa-libgcrypt. Το
> έκανα και αυτό απεγκατάσταση και μετά έτρεξα yum update. Έγινε ενημέρωση
> μόνο σε λίγα πακέτα (85ΜΒ συνολικά) αλλά και πάλι τίποτε. Δεν τρέχει καν
> γραφικό περιβάλλον.
> Νομίζετε ότι θα χρειαστεί να ξαναστήσω από την αρχή το σύστημα;
>

Όπως είπε στην αρχή ο Νίκος, μήπως έχεις ενεργοποιημένο κάποιο 3d party repository; Δώσε `yum repolist` και γράψε εδώ τα αποτελέσματα.

Εγώ δίνοτας `yum list mesa-libgcrypt` δεν έχω αποτελέσματα, άρα μάλλον θα τραβάς αυτό το πακέτο από κάποιο άλλο repo.

Το πρόβλημά σου πιθανόν να λυθεί με:

1) sudo yum install yum-utils
2) package-cleanup --cleandupes


Μερικά παρεμφερή links:

https://ask.fedoraproject.org/question/8062/error-protected-multilib-versions-while-yum-update/
http://forums.fedoraforum.org/showthread.php?t=290409
http://diogomelo.net/blog/12/error-multilib-version-problems-found-error-using-yum-fedora-fc17




-- FAS : axilleas
GPG : 0xABF99BE5
Blog: http://axilleas.me
_______________________________________________
el-users mailing list
el-users@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/el-users


_______________________________________________
el-users mailing list
el-users@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/el-users